curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"count": 123,
"offset": 123,
"reverse": true,
"withoutTargetSkip": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob"
payload = {
"query": "<string>",
"count": 123,
"offset": 123,
"reverse": True,
"withoutTargetSkip": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
count: 123,
offset: 123,
reverse: true,
withoutTargetSkip: true
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'count' => 123,
'offset' => 123,
'reverse' => true,
'withoutTargetSkip' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"count\": 123,\n \"offset\": 123,\n \"reverse\": true,\n \"withoutTargetSkip\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"count\": 123,\n \"offset\": 123,\n \"reverse\": true,\n \"withoutTargetSkip\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"count\": 123,\n \"offset\": 123,\n \"reverse\": true,\n \"withoutTargetSkip\": true\n}"
response = http.request(request)
puts response.read_body{
"searchResults": [
{
"concept": {
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"domain": "<string>",
"id": "<string>",
"note": "<string>",
"subDomains": [
"<string>"
],
"url": "<string>"
},
"sourceTerm": {
"text": "<string>",
"caseSensitive": true,
"conceptId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"exactMatch": true,
"forbidden": true,
"gender": "MASCULINE",
"id": "<string>",
"lang": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"note": "<string>",
"number": "SINGULAR",
"partOfSpeech": "ADJECTIVE",
"preferred": true,
"rtl": true,
"shortTranslation": "<string>",
"status": "New",
"strict": true,
"termType": "FULL_FORM",
"usage": "<string>",
"writable": true
},
"termBase": {
"id": 123,
"isAllowedToEdit": true,
"name": "<string>",
"readonly": true,
"sourceUrl": "<string>",
"uid": "<string>"
},
"translationTerms": [
{
"text": "<string>",
"caseSensitive": true,
"conceptId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"exactMatch": true,
"forbidden": true,
"gender": "MASCULINE",
"id": "<string>",
"lang": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"note": "<string>",
"number": "SINGULAR",
"partOfSpeech": "ADJECTIVE",
"preferred": true,
"rtl": true,
"shortTranslation": "<string>",
"status": "New",
"strict": true,
"termType": "FULL_FORM",
"usage": "<string>",
"writable": true
}
]
}
]
}Search job's term bases
Search all read term bases assigned to the job’s project for the job’s target language.
Prerequisite: the job’s project must have at least one term base assigned for the job’s target language. Without one, the call returns 404:
{"errorCode":"TermBaseNotSelected","errorDescription":"Term base not selected"}
This 404 means that no term base is assigned, not that the project or job does not exist. An unknown project or job UID also returns 404, but with errorCode ResourceNotFound.
How to fix it: assign a term base with Edit term bases (PUT /api2/v1/projects/{projectUid}/termBases) by including it in readTermBases, then retry. Set targetLang to the job’s target language, or omit it to assign the term base for all target languages of the project. Edit term bases replaces the existing assignments for those languages, so include any term bases you want to keep. Term bases can also be assigned in the project’s term base settings in the TMS UI.
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"count": 123,
"offset": 123,
"reverse": true,
"withoutTargetSkip": true
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob"
payload = {
"query": "<string>",
"count": 123,
"offset": 123,
"reverse": True,
"withoutTargetSkip": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
count: 123,
offset: 123,
reverse: true,
withoutTargetSkip: true
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'count' => 123,
'offset' => 123,
'reverse' => true,
'withoutTargetSkip' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"count\": 123,\n \"offset\": 123,\n \"reverse\": true,\n \"withoutTargetSkip\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"count\": 123,\n \"offset\": 123,\n \"reverse\": true,\n \"withoutTargetSkip\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/termBases/searchByJob")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"count\": 123,\n \"offset\": 123,\n \"reverse\": true,\n \"withoutTargetSkip\": true\n}"
response = http.request(request)
puts response.read_body{
"searchResults": [
{
"concept": {
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"domain": "<string>",
"id": "<string>",
"note": "<string>",
"subDomains": [
"<string>"
],
"url": "<string>"
},
"sourceTerm": {
"text": "<string>",
"caseSensitive": true,
"conceptId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"exactMatch": true,
"forbidden": true,
"gender": "MASCULINE",
"id": "<string>",
"lang": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"note": "<string>",
"number": "SINGULAR",
"partOfSpeech": "ADJECTIVE",
"preferred": true,
"rtl": true,
"shortTranslation": "<string>",
"status": "New",
"strict": true,
"termType": "FULL_FORM",
"usage": "<string>",
"writable": true
},
"termBase": {
"id": 123,
"isAllowedToEdit": true,
"name": "<string>",
"readonly": true,
"sourceUrl": "<string>",
"uid": "<string>"
},
"translationTerms": [
{
"text": "<string>",
"caseSensitive": true,
"conceptId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"exactMatch": true,
"forbidden": true,
"gender": "MASCULINE",
"id": "<string>",
"lang": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"note": "<string>",
"number": "SINGULAR",
"partOfSpeech": "ADJECTIVE",
"preferred": true,
"rtl": true,
"shortTranslation": "<string>",
"status": "New",
"strict": true,
"termType": "FULL_FORM",
"usage": "<string>",
"writable": true
}
]
}
]
}Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
Was this page helpful?